# DNS Filters

Additional blocking lists for [personalDNSfilter](https://www.zenz-solutions.de/personaldnsfilter-wp/) on Android, project hosted on [GitHub](https://github.com/IngoZenz/personaldnsfilter).  

 **personalDNSfilter** is a DNS filter proxy written in Java. It hooks into the domain name (DNS) resolution and returns the loopback address for filtered hosts. It works with any upstream DNS server - filtering is completely local - no phoning home or such things ! You can run it locally on your device or centrally as DNS server in your network.  

> **Note ¹ :** Consider this as a _work in progress_, I stil have to shorten URLs for more convenience and for example.  
> **Note ² :** If you saw / know some missing DNS, don't hesitate to tell me it will be a great help 🖖

## Lists

- [ [BlockMeta](https://dansleco.de/danslerush/dns-filters/raw/branch/main/BlockMeta.txt) ] Block all **Meta**'s relative DNS like _Facebook_, _Instagram_, _WhatsApp_ or other trackers

## How To Add List

- Open the **personalDNSfilter** application on your phone
- Go to « Advanced settings »
- Go to « Configure filter update »
- Edit a _< new >_ line
- Put, in that order :
> **Category :** dansleco.de  
> **Name :** The name of a list above, for example " BlockMeta "  
> **URL :** Same, with the attached URL, for example " https://dansleco.de/danslerush/dns-filters/raw/branch/main/BlockMeta.txt "
- Tick « Active » and validate  
- Restart **personalDNSfilter** to ensure that the new list is taken into account